/**
 $id: BadMenu.h

 BadMenu - A simple menu for BadWM    
 Copyright (C) Bernd Leitner <b at swag.at> 2004

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

**/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/wait.h>

#define FOCUS_REVERT	RevertToParent

void open_Window(int x,int y,int width,int height,int flag,Menu * head);

void setup_BadMenu(char real,Menu * head);

void spawn(const char cmd[]);

unsigned long get_Color(char * color);  

void BadMenu_Event(XKeyEvent * e, Menu * head);

void select_MenuItem(Menu * head, MenuMove choice);

void update_selectedToken(Menu * head);
